# eric4.Preferences.ConfigurationPages.VcsPage

Module implementing the VCS configuration page.

### Global Attributes

None

### Classes

VcsPage | Class implementing the VCS configuration page.

### Functions

create | Module function to create the configuration page.

## VcsPage

Class implementing the VCS configuration page.

### Derived from

ConfigurationPageBase, Ui_VcsPage

### Class Attributes

None

### Class Methods

None

### Methods

VcsPage | Constructor
on_pbVcsAddedButton_clicked | Private slot to set the background colour for entries with VCS status "added".
on_pbVcsConflictButton_clicked | Private slot to set the background colour for entries with VCS status "conflict".
on_pbVcsModifiedButton_clicked | Private slot to set the background colour for entries with VCS status "modified".
on_pbVcsRemovedButton_clicked | Private slot to set the background colour for entries with VCS status "removed".
on_pbVcsReplacedButton_clicked | Private slot to set the background colour for entries with VCS status "replaced".
on_pbVcsUpdateButton_clicked | Private slot to set the background colour for entries with VCS status "needs update".
save | Public slot to save the VCS configuration.

### Static Methods

None

#### VcsPage (Constructor)

VcsPage()

Constructor

#### VcsPage.on_pbVcsAddedButton_clicked

on_pbVcsAddedButton_clicked()

Private slot to set the background colour for entries with VCS status "added".

#### VcsPage.on_pbVcsConflictButton_clicked

on_pbVcsConflictButton_clicked()

Private slot to set the background colour for entries with VCS status "conflict".

#### VcsPage.on_pbVcsModifiedButton_clicked

on_pbVcsModifiedButton_clicked()

Private slot to set the background colour for entries with VCS status "modified".

#### VcsPage.on_pbVcsRemovedButton_clicked

on_pbVcsRemovedButton_clicked()

Private slot to set the background colour for entries with VCS status "removed".

#### VcsPage.on_pbVcsReplacedButton_clicked

on_pbVcsReplacedButton_clicked()

Private slot to set the background colour for entries with VCS status "replaced".

#### VcsPage.on_pbVcsUpdateButton_clicked

on_pbVcsUpdateButton_clicked()

Private slot to set the background colour for entries with VCS status "needs update".

#### VcsPage.save

save()

Public slot to save the VCS configuration.

Up

## create

create(dlg)

Module function to create the configuration page.

dlg
  reference to the configuration dialog

Up